Changing the volume (with the mouse wheel over icon) locks up gnome-shell

Bug #1817546 reported by Peter Rhone on 2019-02-25
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
mutter (Ubuntu)
High
Andrea Azzarone
Disco
High
Andrea Azzarone

Bug Description

If I change the volume, the display freezes right after the volume display floating indictor appears in the middle of the screen. I have to either reboot or switch to virtual terminal and killall -3 gnome-shell to restart the session.

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: gnome-shell 3.31.90-1ubuntu1
ProcVersionSignature: Ubuntu 4.19.0-13.14-generic 4.19.20
Uname: Linux 4.19.0-13-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.10-0ubuntu21
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Mon Feb 25 13:20:49 2019
DisplayManager: gdm3
EcryptfsInUse: Yes
InstallationDate: Installed on 2017-06-19 (615 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170617)
SourcePackage: gnome-shell
UpgradeStatus: Upgraded to disco on 2019-01-31 (24 days ago)
modified.conffile..etc.default.apport: [modified]
mtime.conffile..etc.default.apport: 2019-02-23T10:27:39.206420

Peter Rhone (prhone-gmail) wrote :

Please, can you attach the journal for gnome-shell?

Changed in gnome-shell (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Changed in gnome-shell (Ubuntu Disco):
importance: Undecided → High
tags: added: rls-dd-incoming
Peter Rhone (prhone-gmail) wrote :

@3v1n0 Where can I find the journal for gnome-shell?

Daniel van Vugt (vanvugt) wrote :

I suggest using bug 1817335 instead, out of respect for the person who reported it first.

SamuelB. (bw-sammy) wrote :

I'm fine with 1817546 ;)

Sebastien Bacher (seb128) wrote :

Let's tag that one as blocking the update, it's making easy to lock your session without obvious way out

tags: added: block-proposed
Andrea Azzarone (azzar1) on 2019-03-04
Changed in gnome-shell (Ubuntu Disco):
assignee: Marco Trevisan (Treviño) (3v1n0) → Andrea Azzarone (azzar1)
Changed in gnome-shell (Ubuntu Disco):
status: Confirmed → In Progress
Iain Lane (laney) on 2019-03-05
tags: removed: rls-dd-incoming
Emanuele (emanuc) wrote :

I have the problem on Ubuntu 19.04, I attach the logs, I hope they are useful.

Emanuele (emanuc) wrote :

I was able to retrieve other logs in the time the BUG happened:mar 05 13:40:01 > mar 05 13:43:01 approx

Emanuele (emanuc) wrote :

Hey Emanuele,

We already know why the problem happens. A fix is ready and should be
available in the next few days :)

Il mar 5 mar 2019, 21:51 Emanuele <email address hidden> ha scritto:

> I was able to retrieve other logs in the time the BUG happened:mar 05
> 13:40:01 > mar 05 13:43:01 approx
>
> ** Attachment added: "log1"
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1817546/+attachment/5243808/+files/log1
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1817546
>
> Title:
> Changing the volume (with the mouse wheel over icon) locks up gnome-
> shell
>
> Status in gnome-shell package in Ubuntu:
> In Progress
> Status in gnome-shell source package in Disco:
> In Progress
>
> Bug description:
> If I change the volume, the display freezes right after the volume
> display floating indictor appears in the middle of the screen. I have
> to either reboot or switch to virtual terminal and killall -3 gnome-
> shell to restart the session.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 19.04
> Package: gnome-shell 3.31.90-1ubuntu1
> ProcVersionSignature: Ubuntu 4.19.0-13.14-generic 4.19.20
> Uname: Linux 4.19.0-13-generic x86_64
> NonfreeKernelModules: nvidia_modeset nvidia
> ApportVersion: 2.20.10-0ubuntu21
> Architecture: amd64
> CurrentDesktop: ubuntu:GNOME
> Date: Mon Feb 25 13:20:49 2019
> DisplayManager: gdm3
> EcryptfsInUse: Yes
> InstallationDate: Installed on 2017-06-19 (615 days ago)
> InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64
> (20170617)
> SourcePackage: gnome-shell
> UpgradeStatus: Upgraded to disco on 2019-01-31 (24 days ago)
> modified.conffile..etc.default.apport: [modified]
> mtime.conffile..etc.default.apport: 2019-02-23T10:27:39.206420
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1817546/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: distribution=ubuntu; sourcepackage=gnome-shell;
> component=main; status=In Progress; importance=High; assignee=
> <email address hidden>;
> Launchpad-Bug: distribution=ubuntu; distroseries=disco;
> sourcepackage=gnome-shell; component=main; status=In Progress;
> importance=High; <email address hidden>;
> Launchpad-Bug-Tags: amd64 apport-bug block-proposed disco
> package-from-proposed third-party-packages
> Launchpad-Bug-Information-Type: Public
> Launchpad-Bug-Private: no
> Launchpad-Bug-Security-Vulnerability: no
> Launchpad-Bug-Commenters: 3v1n0 azzar1 bw-sammy emanuc janitor
> prhone-gmail seb128 vanvugt
> Launchpad-Bug-Reporter: Peter Rhone (prhone-gmail)
> Launchpad-Bug-Modifier: Emanuele (emanuc)
> Launchpad-Message-Rationale: Assignee
> Launchpad-Message-For: azzar1
>

Iain Lane (laney) on 2019-03-06
affects: gnome-shell (Ubuntu Disco) → mutter (Ubuntu Disco)
Iain Lane (laney) wrote :

This should be fixed in 3.31.92-1~fakesync, so dropping the block.

tags: removed: block-proposed package-from-proposed
Peter Rhone (prhone-gmail) wrote :

Seems to be fixed with mutter 3.31.92-1~fakesync

Thanks for fixing this so quickly.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 3.31.92-1~fakesync

---------------
mutter (3.31.92-1~fakesync) experimental; urgency=medium

  * New upstream release
    + Add back support for system-wide monitor configurations
    + Add cursor-mode support to window screencasting
    + Add flag parameter to grab accelerator API
    + Add fractional scaling support
    + Consider remapped keys when guessing keycode from keysym
    + Don't disable page flips after temporary failues
    + Fix crash when using "restore shortcuts" without focus window
    + Fix flicker of apps that use multiple SHM buffers
    + Fix infinite loop in EDID matching
    + Improve redraw performance
    + Reuse old CRTC if possible to avoid flicker on hotplug
    + Stop turning on-screen-keyboard off on focus changes
    + wayland: Don't maximize windows if minimum size is too big
    + wayland: Don't resetin text-input state prematurely
  * Drop old cherry-picks which are upstream, refresh other patches.
    Dropped:
      debian/patches/Update-Basque-translation.patch
      debian/patches/Update-French-translation.patch
  * d/p/sound-player-Don-t-deadlock-in-finish_cb.patch: Cherry-pick.
    This fixes a deadlock bug when scrolling over the volume indicator. (LP:
    #1817546)
  * debian/control: Breaks gnome-settings-daemon << 3.31.91. Altering the
    GrabAccelerator API will break key grabbing under g-s-d versions which
    don't use the new parameter.
  * debian/libmutter-4-0.symbols: Update. Upstream dropped a load of
    deprecated functions. This obviously is an ABI break, but we don't
    consider the ABI stable until the final release. Also some additions.

 -- Iain Lane <email address hidden> Wed, 06 Mar 2019 13:44:08 +0000

Changed in mutter (Ubuntu Disco):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers